EC_EDITLINE_COMPLETE(3)

NAME
ec_editline_complete - Default completion callback used by editline.

SYNOPSIS
#include <ecoli/editline.h>

int ec_editline_complete(
    struct editline   *el,  /* The pointer to libedit Editline structure. */
    int                c    /* The character used to complete. */
);

DESCRIPTION

It displays the list of completions with TAB, and a contextual help with '?'.

RETURN VALUE

An editline error code: CC_REFRESH, CC_ERROR, or CC_REDISPLAY.

SEE ALSO

ec_editline_get_el(3), ec_editline_set_prompt(3), ec_editline_set_prompt_esc(3), ec_editline_parse(3), ec_editline_free(3), ec_editline_term_size(3), ec_editline_gets(3), ec_editline_interact(3), ec_editline_set_node(3), ec_editline_set_history(3), ec_editline(3), ec_editline_get_node(3), ec_editline_curline(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.